module.exports = {
  root: true,
  env: {
    browser: true,
    node: true,
  },
  parserOptions: {
    parser: '@babel/eslint-parser',
    requireConfigFile: false,
  },
  extends: ['@nuxtjs', 'plugin:nuxt/recommended', 'prettier'],
  plugins: [],
  // add your custom rules here 0 = off, 1 = warn, 2 = error
  rules: {
    'nuxt/no-globals-in-created': 0,
    'vue/multi-word-component-names': 0,
    'vue/attributes-order': 0,
    'vue/no-v-html': 0,
    'vue/attribute-hyphenation': 0,
    'no-console': 0,
    'no-unused-vars': 1,
    camelcase: 1,
    eqeqeq: 1,
    'vue/no-mutating-props': 1,
    'vue/no-unused-components': 1,
    // vue/require-valid-default-prop 这一项其实应该是2/错误必检, 但是涉及的文件是在太多了, 怕一下子全改会爆炸
    'vue/require-valid-default-prop': 1,
    'no-var': 1,
    'no-useless-escape': 1,
    'prefer-const': 1,
    'object-shorthand': 1,
    'unicorn/prefer-includes': 1,
    'dot-notation': 1,
    'import/order': 1,
    'spaced-comment': 1, // 双斜杠注释后应紧接空格
  },
}
